\name{stamLeaf-class}
\docType{class}
\alias{stamLeaf-class}
\alias{initialize,stamLeaf-method}
\alias{print,stamLeaf-method}
\alias{writeHTML,stamLeaf-method}

\title{Leaf Nodes in Classifier Nets by StAM}
\description{
  Objects of this class represent leaf nodes in a classifier net as it is used by
  structured analysis of microarray data. These are the only nodes which have genes 
  annotated.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamLeaf", ID, chip, probesidx)}.
  \describe{
    \item{\code{ID}}{is the GO identifier as character string}
    \item{\code{chip}}{the name of the chip for which the classifier net is generated.}
    \item{\code{probes}}{a character vector holding the identifiers of the probesets in 
      the order as they occur in the expression matrix}
  }
}
\section{Slots}{
  \describe{
    \item{\code{chip}:}{Object of class \code{"character"}, the name of the chip for 
      which the classifier net is generated.}
    \item{\code{probes}:}{Object of class \code{"numeric"}, for each probeset holds its 
      position in the expression metrices to be analyzed }
    \item{\code{pamfit}:}{Object of class \code{"nsc"}, holds the results of pamr.train 
      restricted to the genes annotated to the current leaf node.}
    \item{\code{delta}:}{Object of class \code{"numeric"}, stores the best delty for the 
      local pamfit as determined by pamr.cv.}
  }
  See \code{stamNode-class} fot \code{ID}, \code{category}, \code{replacedParents} and 
  \code{supNode}.
}
\section{Extends}{
  Class \code{"stamNode"}, directly.
}
\section{Methods}{
  \describe{
    \item{print}{\code{signature(x = "stamLeaf")}: print information on the leaf node.}
    \item{writeHTML}{\code{signature(x = "stamLeaf")}: generate HTML information on the 
      leaf node.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stamNode-class}}, \code{\link{stamINode-class}}}
\keyword{classes}
